<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cyl.manager.ums.mapper.PetCareMapper">

    <resultMap type="PetCare" id="PetCareResult">
        <result property="id" column="id"/>
        <result property="petId" column="pet_id"/>
        <result property="includeDryFood" column="include_dry_food"/>
        <result property="dryFoodLocation" column="dry_food_location"/>
        <result property="dryFoodFeedWeight" column="dry_food_feed_weight"/>
        <result property="dryFoodFeedFrequencyDays" column="dry_food_feed_frequency_days"/>
        <result property="dryFoodFeedFrequencyTimes" column="dry_food_feed_frequency_times"/>
        <result property="dryFoodRemarks" column="dry_food_remarks"/>
        <result property="includeWetFood" column="include_wet_food"/>
        <result property="wetFoodLocation" column="wet_food_location"/>
        <result property="wetFoodFeedWeight" column="wet_food_feed_weight"/>
        <result property="wetFoodFeedFrequencyDays" column="wet_food_feed_frequency_days"/>
        <result property="wetFoodFeedFrequencyTimes" column="wet_food_feed_frequency_times"/>
        <result property="wetFoodRemarks" column="wet_food_remarks"/>
        <result property="includeHomemadeFood" column="include_homemade_food"/>
        <result property="homemadeFoodLocation" column="homemade_food_location"/>
        <result property="homemadeFoodInstructions" column="homemade_food_instructions"/>
        <result property="includeRawMeat" column="include_raw_meat"/>
        <result property="rawMeatLocation" column="raw_meat_location"/>
        <result property="rawMeatFeedingInstructions" column="raw_meat_feeding_instructions"/>
        <result property="includeHealthSupplements" column="include_health_supplements"/>
        <result property="healthSupplementsLocation" column="health_supplements_location"/>
        <result property="healthSupplementsFeedingInstructions" column="health_supplements_feeding_instructions"/>
        <result property="includeSnacks" column="include_snacks"/>
        <result property="snacksLocation" column="snacks_location"/>
        <result property="snacksFeedingMethod" column="snacks_feeding_method"/>
        <result property="otherRemark" column="other_remark"/>
        <result property="feedingTrayAutomaticFeederLocation" column="feeding_tray_automatic_feeder_location"/>
        <result property="feedingTrayAutomaticFeederRemarks" column="feeding_tray_automatic_feeder_remarks"/>
        <result property="waterBowlLocation" column="water_bowl_location"/>
        <result property="waterBowlRemarks" column="water_bowl_remarks"/>
        <result property="cleaningRequirements" column="cleaning_requirements"/>
        <result property="litterBoxLocation" column="litter_box_location"/>
        <result property="litterBoxChangeFrequencyDays" column="litter_box_change_frequency_days"/>
        <result property="litterBoxChangeFrequencyTimes" column="litter_box_change_frequency_times"/>
        <result property="litterBoxRemarks" column="litter_box_remarks"/>
        <result property="peePadLocation" column="pee_pad_location"/>
        <result property="changePeePad" column="change_pee_pad"/>
        <result property="peePadRemarks" column="pee_pad_remarks"/>
        <result property="additionalService" column="additional_service"/>
        <result property="playtimeService" column="playtime_service"/>
        <result property="playtimeToolsLocation" column="playtime_tools_location"/>
        <result property="playtimeRequirements" column="playtime_requirements"/>
        <result property="furCleaningService" column="fur_cleaning_service"/>
        <result property="furCleaningToolsLocation" column="fur_cleaning_tools_location"/>
        <result property="furCleaningRequirements" column="fur_cleaning_requirements"/>
        <result property="groomingService" column="grooming_service"/>
        <result property="groomingToolsLocation" column="grooming_tools_location"/>
        <result property="groomingRequirements" column="grooming_requirements"/>
        <result property="deepCleaningService" column="deep_cleaning_service"/>
        <result property="administerMedication" column="administer_medication"/>
        <result property="deepCleaningToolsLocation" column="deep_cleaning_tools_location"/>
        <result property="administerMedicationLocation" column="administer_medication_location"/>
        <result property="administerMedicationRemarks" column="administer_medication_remarks"/>
        <result property="deepCleaningRemarks" column="deep_cleaning_remarks"/>
        <result property="additionalServicesPlacement" column="additional_services_placement"/>
        <result property="additionalServicesPlacementRemark" column="additional_services_placement_remark"/>
        <result property="additionalServicesRemarks" column="additional_services_remarks"/>
        <result property="walkDog" column="walk_dog"/>
        <result property="walkDogToolsLocation" column="walk_dog_tools_location"/>
        <result property="walkDogRainyDay" column="walk_dog_rainy_day"/>
        <result property="walkDogDuration" column="walk_dog_duration"/>
        <result property="dogBehavior" column="dog_behavior"/>
        <result property="favoriteRegion" column="favorite_region"/>
        <result property="favoriteRoute" column="favorite_route"/>

        <result property="changeLitterBox" column="change_litter_box"/>
        <result property="peePadFrequencyDays" column="pee_pad_frequency_days"/>
        <result property="peePadFrequencyTimes" column="pee_pad_frequency_times"/>
        <result property="isWalkDogDuration" column="is_walk_dog_duration"/>
        <result property="isDogBehavior" column="is_dog_behavior"/>
        <result property="isFavoriteRegion" column="is_favorite_region"/>
        <result property="isFavoriteRoute" column="is_favorite_route"/>
        <result property="dogRainGearLocation" column="dog_rain_gear_location"/>
        <result property="walkDogRainRemark" column="walk_dog_rain_remark"/>
    </resultMap>

    <sql id="selectPetCareVo">
        select id, pet_id, include_dry_food, dry_food_location, dry_food_feed_weight, dry_food_feed_frequency_days, dry_food_feed_frequency_times, dry_food_remarks, include_wet_food, wet_food_location, wet_food_feed_weight, wet_food_feed_frequency_days, wet_food_feed_frequency_times, wet_food_remarks, include_homemade_food, homemade_food_location, homemade_food_instructions, include_raw_meat, raw_meat_location, raw_meat_feeding_instructions, include_health_supplements, health_supplements_location, health_supplements_feeding_instructions, include_snacks, snacks_location, snacks_feeding_method, other_remark, feeding_tray_automatic_feeder_location, feeding_tray_automatic_feeder_remarks, water_bowl_location, water_bowl_remarks, cleaning_requirements, litter_box_location, litter_box_adding_weight, litter_box_change_frequency_days, litter_box_change_frequency_times, litter_box_remarks, pee_pad_location, change_pee_pad, pee_pad_remarks, additional_service, playtime_service, playtime_tools_location, playtime_requirements, fur_cleaning_service, fur_cleaning_tools_location, fur_cleaning_requirements, grooming_service, grooming_tools_location, grooming_requirements, deep_cleaning_service, administer_medication, deep_cleaning_remarks,deep_cleaning_tools_location,administer_medication_location,administer_medication_remarks, additional_services_placement, additional_services_placement_remark, additional_services_remarks,walk_dog,walk_dog_tools_location,walk_dog_rainy_day,walk_dog_duration,dog_behavior,favorite_region,favorite_route,change_litter_box,pee_pad_frequency_days,pee_pad_frequency_times,is_walk_dog_duration,is_dog_behavior,is_favorite_region,is_favorite_route,dog_rain_gear_location,walk_dog_rain_remark  from ums_pet_care
    </sql>

    <select id="selectList" parameterType="PetCare" resultMap="PetCareResult">
        <include refid="selectPetCareVo"/>
        <where>
            <if test="petId != null "> and pet_id = #{petId}</if>
            <if test="includeDryFood != null "> and include_dry_food = #{includeDryFood}</if>
            <if test="dryFoodLocation != null  and dryFoodLocation != ''"> and dry_food_location = #{dryFoodLocation}</if>
            <if test="dryFoodFeedWeight != null "> and dry_food_feed_weight = #{dryFoodFeedWeight}</if>
            <if test="dryFoodFeedFrequencyDays != null "> and dry_food_feed_frequency_days = #{dryFoodFeedFrequencyDays}</if>
            <if test="dryFoodFeedFrequencyTimes != null "> and dry_food_feed_frequency_times = #{dryFoodFeedFrequencyTimes}</if>
            <if test="dryFoodRemarks != null  and dryFoodRemarks != ''"> and dry_food_remarks = #{dryFoodRemarks}</if>
            <if test="includeWetFood != null "> and include_wet_food = #{includeWetFood}</if>
            <if test="wetFoodLocation != null  and wetFoodLocation != ''"> and wet_food_location = #{wetFoodLocation}</if>
            <if test="wetFoodFeedWeight != null "> and wet_food_feed_weight = #{wetFoodFeedWeight}</if>
            <if test="wetFoodFeedFrequencyDays != null "> and wet_food_feed_frequency_days = #{wetFoodFeedFrequencyDays}</if>
            <if test="wetFoodFeedFrequencyTimes != null "> and wet_food_feed_frequency_times = #{wetFoodFeedFrequencyTimes}</if>
            <if test="wetFoodRemarks != null  and wetFoodRemarks != ''"> and wet_food_remarks = #{wetFoodRemarks}</if>
            <if test="includeHomemadeFood != null "> and include_homemade_food = #{includeHomemadeFood}</if>
            <if test="homemadeFoodLocation != null  and homemadeFoodLocation != ''"> and homemade_food_location = #{homemadeFoodLocation}</if>
            <if test="homemadeFoodInstructions != null  and homemadeFoodInstructions != ''"> and homemade_food_instructions = #{homemadeFoodInstructions}</if>
            <if test="includeRawMeat != null "> and include_raw_meat = #{includeRawMeat}</if>
            <if test="rawMeatLocation != null  and rawMeatLocation != ''"> and raw_meat_location = #{rawMeatLocation}</if>
            <if test="rawMeatFeedingInstructions != null  and rawMeatFeedingInstructions != ''"> and raw_meat_feeding_instructions = #{rawMeatFeedingInstructions}</if>
            <if test="includeHealthSupplements != null "> and include_health_supplements = #{includeHealthSupplements}</if>
            <if test="healthSupplementsLocation != null  and healthSupplementsLocation != ''"> and health_supplements_location = #{healthSupplementsLocation}</if>
            <if test="healthSupplementsFeedingInstructions != null  and healthSupplementsFeedingInstructions != ''"> and health_supplements_feeding_instructions = #{healthSupplementsFeedingInstructions}</if>
            <if test="includeSnacks != null "> and include_snacks = #{includeSnacks}</if>
            <if test="snacksLocation != null  and snacksLocation != ''"> and snacks_location = #{snacksLocation}</if>
            <if test="snacksFeedingMethod != null  and snacksFeedingMethod != ''"> and snacks_feeding_method = #{snacksFeedingMethod}</if>
            <if test="otherRemark != null  and otherRemark != ''"> and other_remark = #{otherRemark}</if>
            <if test="feedingTrayAutomaticFeederLocation != null  and feedingTrayAutomaticFeederLocation != ''"> and feeding_tray_automatic_feeder_location = #{feedingTrayAutomaticFeederLocation}</if>
            <if test="feedingTrayAutomaticFeederRemarks != null  and feedingTrayAutomaticFeederRemarks != ''"> and feeding_tray_automatic_feeder_remarks = #{feedingTrayAutomaticFeederRemarks}</if>
            <if test="waterBowlLocation != null  and waterBowlLocation != ''"> and water_bowl_location = #{waterBowlLocation}</if>
            <if test="waterBowlRemarks != null  and waterBowlRemarks != ''"> and water_bowl_remarks = #{waterBowlRemarks}</if>
            <if test="cleaningRequirements != null "> and cleaning_requirements = #{cleaningRequirements}</if>
            <if test="litterBoxLocation != null  and litterBoxLocation != ''"> and litter_box_location = #{litterBoxLocation}</if>
            <if test="litterBoxChangeFrequencyDays != null "> and litter_box_change_frequency_days = #{litterBoxChangeFrequencyDays}</if>
            <if test="litterBoxChangeFrequencyTimes != null "> and litter_box_change_frequency_times = #{litterBoxChangeFrequencyTimes}</if>
            <if test="litterBoxRemarks != null  and litterBoxRemarks != ''"> and litter_box_remarks = #{litterBoxRemarks}</if>
            <if test="peePadLocation != null  and peePadLocation != ''"> and pee_pad_location = #{peePadLocation}</if>
            <if test="changePeePad != null "> and change_pee_pad = #{changePeePad}</if>
            <if test="peePadRemarks != null  and peePadRemarks != ''"> and pee_pad_remarks = #{peePadRemarks}</if>
            <if test="additionalService != null "> and additional_service = #{additionalService}</if>
            <if test="playtimeService != null  and playtimeService != ''"> and playtime_service = #{playtimeService}</if>
            <if test="playtimeToolsLocation != null  and playtimeToolsLocation != ''"> and playtime_tools_location = #{playtimeToolsLocation}</if>
            <if test="playtimeRequirements != null  and playtimeRequirements != ''"> and playtime_requirements = #{playtimeRequirements}</if>
            <if test="furCleaningService != null "> and fur_cleaning_service = #{furCleaningService}</if>
            <if test="furCleaningToolsLocation != null  and furCleaningToolsLocation != ''"> and fur_cleaning_tools_location = #{furCleaningToolsLocation}</if>
            <if test="furCleaningRequirements != null  and furCleaningRequirements != ''"> and fur_cleaning_requirements = #{furCleaningRequirements}</if>
            <if test="groomingService != null "> and grooming_service = #{groomingService}</if>
            <if test="groomingToolsLocation != null  and groomingToolsLocation != ''"> and grooming_tools_location = #{groomingToolsLocation}</if>
            <if test="groomingRequirements != null  and groomingRequirements != ''"> and grooming_requirements = #{groomingRequirements}</if>
            <if test="deepCleaningService != null "> and deep_cleaning_service  = #{deepCleaningToolsLocation}</if>
            <if test="deepCleaningToolsLocation != null  and deepCleaningToolsLocation != ''"> and deep_cleaning_tools_location= #{deepCleaningToolsLocation}</if>
            <if test="administerMedicationLocation != null   and administerMedicationLocation != ''"> and administer_medication_location = #{administerMedicationLocation}</if>
            <if test="administerMedicationRemarks != null  and administerMedicationRemarks != ''"> and administer_medication_remarks = #{administerMedicationRemarks}</if>
            <if test="administerMedication != null "> and administer_medication = #{administerMedication}</if>
            <if test="deepCleaningRemarks != null  and deepCleaningRemarks != ''"> and deep_cleaning_remarks = #{deepCleaningRemarks}</if>
            <if test="additionalServicesPlacement != null  and additionalServicesPlacement != ''"> and additional_services_placement = #{additionalServicesPlacement}</if>
            <if test="additionalServicesPlacementRemark != null  and additionalServicesPlacementRemark != ''"> and additional_services_placement_remark = #{additionalServicesPlacementRemark}</if>
            <if test="additionalServicesRemarks != null  and additionalServicesRemarks != ''"> and additional_services_remarks = #{additionalServicesRemarks}</if>
            <if test="walkDog != null  and walkDog != ''"> and walk_dog = #{walkDog}</if>
            <if test="walkDogToolsLocation != null  and walkDogToolsLocation != ''"> and walk_dog_tools_location = #{walkDogToolsLocation}</if>
            <if test="walkDogRainyDay != null  and walkDogRainyDay != ''"> and walk_dog_rainy_day = #{walkDogRainyDay}</if>
            <if test="walkDogDuration != null  and walkDogDuration != ''"> and walk_dog_duration = #{walkDogDuration}</if>
            <if test="dogBehavior != null  and dogBehavior != ''"> and dog_behavior = #{dogBehavior}</if>
            <if test="favoriteRegion != null  and favoriteRegion != ''"> and favorite_region = #{favoriteRegion}</if>
            <if test="favoriteRoute != null  and favoriteRoute != ''"> and favorite_route = #{favoriteRoute}</if>

            <if test="changeLitterBox != null  and changeLitterBox != ''"> and change_litter_box = #{changeLitterBox}</if>
            <if test="peePadFrequencyDays != null  and peePadFrequencyDays != ''"> and pee_pad_frequency_days = #{peePadFrequencyDays}</if>
            <if test="peePadFrequencyTimes != null  and peePadFrequencyTimes != ''"> and pee_pad_frequency_times = #{peePadFrequencyTimes}</if>
            <if test="isWalkDogDuration != null  and isWalkDogDuration != ''"> and is_walk_dog_duration = #{isWalkDogDuration}</if>
            <if test="isDogBehavior != null  and isDogBehavior != ''"> and is_dog_behavior = #{isDogBehavior}</if>
            <if test="isFavoriteRegion != null  and isFavoriteRegion != ''"> and is_favorite_region = #{isFavoriteRegion}</if>
            <if test="isFavoriteRoute != null  and isFavoriteRoute != ''"> and is_favorite_route = #{isFavoriteRoute}</if>
            <if test="dogRainGearLocation != null  and dogRainGearLocation != ''"> and dog_rain_gear_location = #{dogRainGearLocation}</if>
            <if test="walkDogRainRemark != null  and walkDogRainRemark != ''"> and walk_dog_rain_remark = #{walkDogRainRemark}</if>
        </where>
    </select>

    <select id="selectById" parameterType="Integer" resultMap="PetCareResult">
        <include refid="selectPetCareVo"/>
        where id = #{id}
    </select>

    <select id="selectPetCareByPetId"  parameterType="Integer"  resultType="com.cyl.manager.ums.domain.PetCare">
        <include refid="selectPetCareVo"/>
        where pet_id = #{id}
        limit 1
    </select>

    <insert id="insert" parameterType="PetCare" useGeneratedKeys="true" keyProperty="id">
        insert into ums_pet_care
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="petId != null">pet_id,</if>
            <if test="includeDryFood != null">include_dry_food,</if>
            <if test="dryFoodLocation != null">dry_food_location,</if>
            <if test="dryFoodFeedWeight != null">dry_food_feed_weight,</if>
            <if test="dryFoodFeedFrequencyDays != null">dry_food_feed_frequency_days,</if>
            <if test="dryFoodFeedFrequencyTimes != null">dry_food_feed_frequency_times,</if>
            <if test="dryFoodRemarks != null">dry_food_remarks,</if>
            <if test="includeWetFood != null">include_wet_food,</if>
            <if test="wetFoodLocation != null">wet_food_location,</if>
            <if test="wetFoodFeedWeight != null">wet_food_feed_weight,</if>
            <if test="wetFoodFeedFrequencyDays != null">wet_food_feed_frequency_days,</if>
            <if test="wetFoodFeedFrequencyTimes != null">wet_food_feed_frequency_times,</if>
            <if test="wetFoodRemarks != null">wet_food_remarks,</if>
            <if test="includeHomemadeFood != null">include_homemade_food,</if>
            <if test="homemadeFoodLocation != null">homemade_food_location,</if>
            <if test="homemadeFoodInstructions != null">homemade_food_instructions,</if>
            <if test="includeRawMeat != null">include_raw_meat,</if>
            <if test="rawMeatLocation != null">raw_meat_location,</if>
            <if test="rawMeatFeedingInstructions != null">raw_meat_feeding_instructions,</if>
            <if test="includeHealthSupplements != null">include_health_supplements,</if>
            <if test="healthSupplementsLocation != null">health_supplements_location,</if>
            <if test="healthSupplementsFeedingInstructions != null">health_supplements_feeding_instructions,</if>
            <if test="includeSnacks != null">include_snacks,</if>
            <if test="snacksLocation != null">snacks_location,</if>
            <if test="snacksFeedingMethod != null">snacks_feeding_method,</if>
            <if test="otherRemark != null">other_remark,</if>
            <if test="feedingTrayAutomaticFeederLocation != null">feeding_tray_automatic_feeder_location,</if>
            <if test="feedingTrayAutomaticFeederRemarks != null">feeding_tray_automatic_feeder_remarks,</if>
            <if test="waterBowlLocation != null">water_bowl_location,</if>
            <if test="waterBowlRemarks != null">water_bowl_remarks,</if>
            <if test="cleaningRequirements != null">cleaning_requirements,</if>
            <if test="litterBoxLocation != null">litter_box_location,</if>
            <if test="litterBoxChangeFrequencyDays != null">litter_box_change_frequency_days,</if>
            <if test="litterBoxChangeFrequencyTimes != null">litter_box_change_frequency_times,</if>
            <if test="litterBoxRemarks != null">litter_box_remarks,</if>
            <if test="peePadLocation != null">pee_pad_location,</if>
            <if test="changePeePad != null">change_pee_pad,</if>
            <if test="peePadRemarks != null">pee_pad_remarks,</if>
            <if test="additionalService != null">additional_service,</if>
            <if test="playtimeService != null">playtime_service,</if>
            <if test="playtimeToolsLocation != null">playtime_tools_location,</if>
            <if test="playtimeRequirements != null">playtime_requirements,</if>
            <if test="furCleaningService != null">fur_cleaning_service,</if>
            <if test="furCleaningToolsLocation != null">fur_cleaning_tools_location,</if>
            <if test="furCleaningRequirements != null">fur_cleaning_requirements,</if>
            <if test="groomingService != null">grooming_service,</if>
            <if test="groomingToolsLocation != null">grooming_tools_location,</if>
            <if test="groomingRequirements != null">grooming_requirements,</if>
            <if test="deepCleaningService != null">deep_cleaning_service,</if>
            <if test="administerMedication != null">administer_medication,</if>
            <if test="deepCleaningToolsLocation != null ">deep_cleaning_tools_location,</if>
            <if test="administerMedicationLocation != null ">administer_medication_location,</if>
            <if test="administerMedicationRemarks != null ">administer_medication_remarks,</if>
            <if test="deepCleaningRemarks != null">deep_cleaning_remarks,</if>
            <if test="additionalServicesPlacement != null">additional_services_placement,</if>
            <if test="additionalServicesPlacementRemark != null">additional_services_placement_remark,</if>
            <if test="additionalServicesRemarks != null">additional_services_remarks,</if>
            <if test="walkDog != null">walk_dog,</if>
            <if test="walkDogToolsLocation != null">walk_dog_tools_location,</if>
            <if test="walkDogRainyDay != null">walk_dog_rainy_day,</if>
            <if test="walkDogDuration != null">walk_dog_duration,</if>
            <if test="dogBehavior != null">dog_behavior,</if>
            <if test="favoriteRegion != null">favorite_region,</if>
            <if test="favoriteRoute != null">favorite_route,</if>

            <if test="changeLitterBox != null ">  change_litter_box ,</if>
            <if test="peePadFrequencyDays != null ">  pee_pad_frequency_days, </if>
            <if test="peePadFrequencyTimes != null ">  pee_pad_frequency_times, </if>
            <if test="isWalkDogDuration != null ">  is_walk_dog_duration, </if>
            <if test="isDogBehavior != null ">  is_dog_behavior ,</if>
            <if test="isFavoriteRegion != null ">  is_favorite_region ,</if>
            <if test="isFavoriteRoute != null ">  is_favorite_route , </if>
            <if test="dogRainGearLocation != null  ">  dog_rain_gear_location, </if>
            <if test="walkDogRainRemark != null  ">  walk_dog_rain_remark , </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="petId != null">#{petId},</if>
            <if test="includeDryFood != null">#{includeDryFood},</if>
            <if test="dryFoodLocation != null">#{dryFoodLocation},</if>
            <if test="dryFoodFeedWeight != null">#{dryFoodFeedWeight},</if>
            <if test="dryFoodFeedFrequencyDays != null">#{dryFoodFeedFrequencyDays},</if>
            <if test="dryFoodFeedFrequencyTimes != null">#{dryFoodFeedFrequencyTimes},</if>
            <if test="dryFoodRemarks != null">#{dryFoodRemarks},</if>
            <if test="includeWetFood != null">#{includeWetFood},</if>
            <if test="wetFoodLocation != null">#{wetFoodLocation},</if>
            <if test="wetFoodFeedWeight != null">#{wetFoodFeedWeight},</if>
            <if test="wetFoodFeedFrequencyDays != null">#{wetFoodFeedFrequencyDays},</if>
            <if test="wetFoodFeedFrequencyTimes != null">#{wetFoodFeedFrequencyTimes},</if>
            <if test="wetFoodRemarks != null">#{wetFoodRemarks},</if>
            <if test="includeHomemadeFood != null">#{includeHomemadeFood},</if>
            <if test="homemadeFoodLocation != null">#{homemadeFoodLocation},</if>
            <if test="homemadeFoodInstructions != null">#{homemadeFoodInstructions},</if>
            <if test="includeRawMeat != null">#{includeRawMeat},</if>
            <if test="rawMeatLocation != null">#{rawMeatLocation},</if>
            <if test="rawMeatFeedingInstructions != null">#{rawMeatFeedingInstructions},</if>
            <if test="includeHealthSupplements != null">#{includeHealthSupplements},</if>
            <if test="healthSupplementsLocation != null">#{healthSupplementsLocation},</if>
            <if test="healthSupplementsFeedingInstructions != null">#{healthSupplementsFeedingInstructions},</if>
            <if test="includeSnacks != null">#{includeSnacks},</if>
            <if test="snacksLocation != null">#{snacksLocation},</if>
            <if test="snacksFeedingMethod != null">#{snacksFeedingMethod},</if>
            <if test="otherRemark != null">#{otherRemark},</if>
            <if test="feedingTrayAutomaticFeederLocation != null">#{feedingTrayAutomaticFeederLocation},</if>
            <if test="feedingTrayAutomaticFeederRemarks != null">#{feedingTrayAutomaticFeederRemarks},</if>
            <if test="waterBowlLocation != null">#{waterBowlLocation},</if>
            <if test="waterBowlRemarks != null">#{waterBowlRemarks},</if>
            <if test="cleaningRequirements != null">#{cleaningRequirements},</if>
            <if test="litterBoxLocation != null">#{litterBoxLocation},</if>
            <if test="litterBoxChangeFrequencyDays != null">#{litterBoxChangeFrequencyDays},</if>
            <if test="litterBoxChangeFrequencyTimes != null">#{litterBoxChangeFrequencyTimes},</if>
            <if test="litterBoxRemarks != null">#{litterBoxRemarks},</if>
            <if test="peePadLocation != null">#{peePadLocation},</if>
            <if test="changePeePad != null">#{changePeePad},</if>
            <if test="peePadRemarks != null">#{peePadRemarks},</if>
            <if test="additionalService != null">#{additionalService},</if>
            <if test="playtimeService != null">#{playtimeService},</if>
            <if test="playtimeToolsLocation != null">#{playtimeToolsLocation},</if>
            <if test="playtimeRequirements != null">#{playtimeRequirements},</if>
            <if test="furCleaningService != null">#{furCleaningService},</if>
            <if test="furCleaningToolsLocation != null">#{furCleaningToolsLocation},</if>
            <if test="furCleaningRequirements != null">#{furCleaningRequirements},</if>
            <if test="groomingService != null">#{groomingService},</if>
            <if test="groomingToolsLocation != null">#{groomingToolsLocation},</if>
            <if test="groomingRequirements != null">#{groomingRequirements},</if>
            <if test="deepCleaningService != null">#{deepCleaningService},</if>
            <if test="administerMedication != null">#{administerMedication},</if>
            <if test="deepCleaningToolsLocation != null ">#{deepCleaningToolsLocation},</if>
            <if test="administerMedicationLocation != null ">#{administerMedicationLocation}, </if>
            <if test="administerMedicationRemarks != null ">#{administerMedicationRemarks},</if>
            <if test="deepCleaningRemarks != null">#{deepCleaningRemarks},</if>
            <if test="additionalServicesPlacement != null">#{additionalServicesPlacement},</if>
            <if test="additionalServicesPlacementRemark != null">#{additionalServicesPlacementRemark},</if>
            <if test="additionalServicesRemarks != null">#{additionalServicesRemarks},</if>
            <if test="walkDog != null">#{walkDog},</if>
            <if test="walkDogToolsLocation != null">#{walkDogToolsLocation},</if>
            <if test="walkDogRainyDay != null">#{walkDogRainyDay},</if>
            <if test="walkDogDuration != null">#{walkDogDuration},</if>
            <if test="dogBehavior != null">#{dogBehavior},</if>
            <if test="favoriteRegion != null">#{favoriteRegion},</if>
            <if test="favoriteRoute != null">#{favoriteRoute},</if>

            <if test="changeLitterBox != null ">  #{changeLitterBox} ,</if>
            <if test="peePadFrequencyDays != null ">  #{peePadFrequencyDays}, </if>
            <if test="peePadFrequencyTimes != null ">  #{peePadFrequencyTimes}, </if>
            <if test="isWalkDogDuration != null ">  #{isWalkDogDuration}, </if>
            <if test="isDogBehavior != null ">  #{isDogBehavior} ,</if>
            <if test="isFavoriteRegion != null ">  #{isFavoriteRegion} ,</if>
            <if test="isFavoriteRoute != null ">  #{isFavoriteRoute} , </if>
            <if test="dogRainGearLocation != null  ">  #{dogRainGearLocation}, </if>
            <if test="walkDogRainRemark != null  ">  #{walkDogRainRemark} , </if>
        </trim>
    </insert>

    <update id="update" parameterType="PetCare">
        update ums_pet_care
        <trim prefix="SET" suffixOverrides=",">
            <if test="petId != null">pet_id = #{petId},</if>
            <if test="includeDryFood != null">include_dry_food = #{includeDryFood},</if>
            <if test="dryFoodLocation != null">dry_food_location = #{dryFoodLocation},</if>
            <if test="dryFoodFeedWeight != null">dry_food_feed_weight = #{dryFoodFeedWeight},</if>
            <if test="dryFoodFeedFrequencyDays != null">dry_food_feed_frequency_days = #{dryFoodFeedFrequencyDays},</if>
            <if test="dryFoodFeedFrequencyTimes != null">dry_food_feed_frequency_times = #{dryFoodFeedFrequencyTimes},</if>
            <if test="dryFoodRemarks != null">dry_food_remarks = #{dryFoodRemarks},</if>
            <if test="includeWetFood != null">include_wet_food = #{includeWetFood},</if>
            <if test="wetFoodLocation != null">wet_food_location = #{wetFoodLocation},</if>
            <if test="wetFoodFeedWeight != null">wet_food_feed_weight = #{wetFoodFeedWeight},</if>
            <if test="wetFoodFeedFrequencyDays != null">wet_food_feed_frequency_days = #{wetFoodFeedFrequencyDays},</if>
            <if test="wetFoodFeedFrequencyTimes != null">wet_food_feed_frequency_times = #{wetFoodFeedFrequencyTimes},</if>
            <if test="wetFoodRemarks != null">wet_food_remarks = #{wetFoodRemarks},</if>
            <if test="includeHomemadeFood != null">include_homemade_food = #{includeHomemadeFood},</if>
            <if test="homemadeFoodLocation != null">homemade_food_location = #{homemadeFoodLocation},</if>
            <if test="homemadeFoodInstructions != null">homemade_food_instructions = #{homemadeFoodInstructions},</if>
            <if test="includeRawMeat != null">include_raw_meat = #{includeRawMeat},</if>
            <if test="rawMeatLocation != null">raw_meat_location = #{rawMeatLocation},</if>
            <if test="rawMeatFeedingInstructions != null">raw_meat_feeding_instructions = #{rawMeatFeedingInstructions},</if>
            <if test="includeHealthSupplements != null">include_health_supplements = #{includeHealthSupplements},</if>
            <if test="healthSupplementsLocation != null">health_supplements_location = #{healthSupplementsLocation},</if>
            <if test="healthSupplementsFeedingInstructions != null">health_supplements_feeding_instructions = #{healthSupplementsFeedingInstructions},</if>
            <if test="includeSnacks != null">include_snacks = #{includeSnacks},</if>
            <if test="snacksLocation != null">snacks_location = #{snacksLocation},</if>
            <if test="snacksFeedingMethod != null">snacks_feeding_method = #{snacksFeedingMethod},</if>
            <if test="otherRemark != null">other_remark = #{otherRemark},</if>
            <if test="feedingTrayAutomaticFeederLocation != null">feeding_tray_automatic_feeder_location = #{feedingTrayAutomaticFeederLocation},</if>
            <if test="feedingTrayAutomaticFeederRemarks != null">feeding_tray_automatic_feeder_remarks = #{feedingTrayAutomaticFeederRemarks},</if>
            <if test="waterBowlLocation != null">water_bowl_location = #{waterBowlLocation},</if>
            <if test="waterBowlRemarks != null">water_bowl_remarks = #{waterBowlRemarks},</if>
            <if test="cleaningRequirements != null">cleaning_requirements = #{cleaningRequirements},</if>
            <if test="litterBoxLocation != null">litter_box_location = #{litterBoxLocation},</if>
            <if test="litterBoxChangeFrequencyDays != null">litter_box_change_frequency_days = #{litterBoxChangeFrequencyDays},</if>
            <if test="litterBoxChangeFrequencyTimes != null">litter_box_change_frequency_times = #{litterBoxChangeFrequencyTimes},</if>
            <if test="litterBoxRemarks != null">litter_box_remarks = #{litterBoxRemarks},</if>
            <if test="peePadLocation != null">pee_pad_location = #{peePadLocation},</if>
            <if test="changePeePad != null">change_pee_pad = #{changePeePad},</if>
            <if test="peePadRemarks != null">pee_pad_remarks = #{peePadRemarks},</if>
            <if test="additionalService != null">additional_service = #{additionalService},</if>
            <if test="playtimeService != null">playtime_service = #{playtimeService},</if>
            <if test="playtimeToolsLocation != null">playtime_tools_location = #{playtimeToolsLocation},</if>
            <if test="playtimeRequirements != null">playtime_requirements = #{playtimeRequirements},</if>
            <if test="furCleaningService != null">fur_cleaning_service = #{furCleaningService},</if>
            <if test="furCleaningToolsLocation != null">fur_cleaning_tools_location = #{furCleaningToolsLocation},</if>
            <if test="furCleaningRequirements != null">fur_cleaning_requirements = #{furCleaningRequirements},</if>
            <if test="groomingService != null">grooming_service = #{groomingService},</if>
            <if test="groomingToolsLocation != null">grooming_tools_location = #{groomingToolsLocation},</if>
            <if test="groomingRequirements != null">grooming_requirements = #{groomingRequirements},</if>
            <if test="deepCleaningService != null">deep_cleaning_service = #{deepCleaningService},</if>
            <if test="deepCleaningToolsLocation != null ">deep_cleaning_tools_location = #{deepCleaningToolsLocation},</if>
            <if test="administerMedicationLocation != null ">administer_medication_location =  #{administerMedicationLocation}, </if>
            <if test="administerMedicationRemarks != null ">administer_medication_remarks =  #{administerMedicationRemarks},</if>
            <if test="administerMedication != null">administer_medication = #{administerMedication},</if>
            <if test="deepCleaningRemarks != null">deep_cleaning_remarks = #{deepCleaningRemarks},</if>
            <if test="additionalServicesPlacement != null">additional_services_placement = #{additionalServicesPlacement},</if>
            <if test="additionalServicesPlacementRemark != null">additional_services_placement_remark = #{additionalServicesPlacementRemark},</if>
            <if test="additionalServicesRemarks != null">additional_services_remarks = #{additionalServicesRemarks},</if>
            <if test="walkDog != null">walk_dog = #{walkDog},</if>
            <if test="walkDogToolsLocation != null">walk_dog_tools_location = #{walkDogToolsLocation},</if>
            <if test="walkDogRainyDay != null">walk_dog_rainy_day = #{walkDogRainyDay},</if>
            <if test="walkDogDuration != null">walk_dog_duration = #{walkDogDuration},</if>
            <if test="dogBehavior != null">dog_behavior = #{dogBehavior},</if>
            <if test="favoriteRegion != null">favorite_region = #{favoriteRegion},</if>
            <if test="favoriteRoute != null">favorite_route = #{favoriteRoute},</if>

            <if test="changeLitterBox != null "> change_litter_box = #{changeLitterBox} ,</if>
            <if test="peePadFrequencyDays != null ">  pee_pad_frequency_days = #{peePadFrequencyDays}, </if>
            <if test="peePadFrequencyTimes != null "> pee_pad_frequency_times = #{peePadFrequencyTimes}, </if>
            <if test="isWalkDogDuration != null "> is_walk_dog_duration = #{isWalkDogDuration}, </if>
            <if test="isDogBehavior != null "> is_dog_behavior = #{isDogBehavior} ,</if>
            <if test="isFavoriteRegion != null "> is_favorite_region =  #{isFavoriteRegion} ,</if>
            <if test="isFavoriteRoute != null "> is_favorite_route = #{isFavoriteRoute} , </if>
            <if test="dogRainGearLocation != null  "> dog_rain_gear_location = #{dogRainGearLocation}, </if>
            <if test="walkDogRainRemark != null  "> walk_dog_rain_remark = #{walkDogRainRemark} , </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteById" parameterType="Integer">
        delete from ums_pet_care where id = #{id}
    </delete>

    <delete id="deleteByIds" parameterType="String">
        delete from ums_pet_care where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
    <insert id="insertOrUpdate" parameterType="PetCare" useGeneratedKeys="true" keyProperty="id">
        insert into ums_pet_care
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">
                id,
            </if>
            pet_id, include_dry_food, dry_food_location, dry_food_feed_weight, dry_food_feed_frequency_days, dry_food_feed_frequency_times, dry_food_remarks, include_wet_food, wet_food_location, wet_food_feed_weight, wet_food_feed_frequency_days, wet_food_feed_frequency_times, wet_food_remarks, include_homemade_food, homemade_food_location, homemade_food_instructions, include_raw_meat, raw_meat_location, raw_meat_feeding_instructions, include_health_supplements, health_supplements_location, health_supplements_feeding_instructions, include_snacks, snacks_location, snacks_feeding_method, other_remark, feeding_tray_automatic_feeder_location, feeding_tray_automatic_feeder_remarks, water_bowl_location, water_bowl_remarks, cleaning_requirements, litter_box_location, litter_box_adding_weight, litter_box_change_frequency_days, litter_box_change_frequency_times, litter_box_remarks, pee_pad_location, change_pee_pad, pee_pad_remarks, additional_service, playtime_service, playtime_tools_location, playtime_requirements, fur_cleaning_service, fur_cleaning_tools_location, fur_cleaning_requirements, grooming_service, grooming_tools_location, grooming_requirements, deep_cleaning_service, administer_medication,deep_cleaning_tools_location,administer_medication_location,administer_medication_remarks, deep_cleaning_remarks, additional_services_placement, additional_services_placement_remark, additional_services_remarks,walk_dog,walk_dog_tools_location,walk_dog_rainy_day,walk_dog_duration,dog_behavior,favorite_region,favorite_route,change_litter_box,pee_pad_frequency_days,pee_pad_frequency_times,is_walk_dog_duration,is_dog_behavior,is_favorite_region,is_favorite_route,dog_rain_gear_location,walk_dog_rain_remark

        </trim>
        values
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id, jdbcType=INTEGER},
            </if>
            #{petId, jdbcType=INTEGER},#{includeDryFood, jdbcType=TINYINT},#{dryFoodLocation, jdbcType=VARCHAR},#{dryFoodFeedWeight, jdbcType=VARCHAR},#{dryFoodFeedFrequencyDays, jdbcType=INTEGER},#{dryFoodFeedFrequencyTimes, jdbcType=INTEGER},#{dryFoodRemarks, jdbcType=VARCHAR},#{includeWetFood, jdbcType=TINYINT},#{wetFoodLocation, jdbcType=VARCHAR},#{wetFoodFeedWeight, jdbcType=DECIMAL},#{wetFoodFeedFrequencyDays, jdbcType=INTEGER},#{wetFoodFeedFrequencyTimes, jdbcType=INTEGER},#{wetFoodRemarks, jdbcType=VARCHAR},#{includeHomemadeFood, jdbcType=TINYINT},#{homemadeFoodLocation, jdbcType=VARCHAR},#{homemadeFoodInstructions, jdbcType=VARCHAR},#{includeRawMeat, jdbcType=TINYINT},#{rawMeatLocation, jdbcType=VARCHAR},#{rawMeatFeedingInstructions, jdbcType=VARCHAR},#{includeHealthSupplements, jdbcType=TINYINT},#{healthSupplementsLocation, jdbcType=VARCHAR},#{healthSupplementsFeedingInstructions, jdbcType=VARCHAR},#{includeSnacks, jdbcType=TINYINT},#{snacksLocation, jdbcType=VARCHAR},#{snacksFeedingMethod, jdbcType=VARCHAR},#{otherRemark, jdbcType=VARCHAR},#{feedingTrayAutomaticFeederLocation, jdbcType=VARCHAR},#{feedingTrayAutomaticFeederRemarks, jdbcType=VARCHAR},#{waterBowlLocation, jdbcType=VARCHAR},#{waterBowlRemarks, jdbcType=VARCHAR},#{cleaningRequirements, jdbcType=TINYINT},#{litterBoxLocation, jdbcType=VARCHAR},#{litterBoxChangeFrequencyDays, jdbcType=INTEGER},#{litterBoxChangeFrequencyTimes, jdbcType=INTEGER},#{litterBoxRemarks, jdbcType=VARCHAR},#{peePadLocation, jdbcType=VARCHAR},#{changePeePad, jdbcType=TINYINT},#{peePadRemarks, jdbcType=VARCHAR},#{additionalService, jdbcType=TINYINT},#{playtimeService, jdbcType=TINYINT},#{playtimeToolsLocation, jdbcType=VARCHAR},#{playtimeRequirements, jdbcType=VARCHAR},#{furCleaningService, jdbcType=TINYINT},#{furCleaningToolsLocation, jdbcType=VARCHAR},#{furCleaningRequirements, jdbcType=VARCHAR},#{groomingService, jdbcType=TINYINT},#{groomingToolsLocation, jdbcType=VARCHAR},#{groomingRequirements, jdbcType=VARCHAR},#{deepCleaningService, jdbcType=TINYINT},#{administerMedication, jdbcType=TINYINT},#{deepCleaningToolsLocation, jdbcType=VARCHAR},#{administerMedicationLocation, jdbcType=VARCHAR},#{administerMedicationRemarks, jdbcType=VARCHAR},  #{deepCleaningRemarks, jdbcType=VARCHAR},#{additionalServicesPlacement, jdbcType=VARCHAR},#{additionalServicesPlacementRemark, jdbcType=VARCHAR},#{additionalServicesRemarks, jdbcType=VARCHAR},#{walkDog, jdbcType=VARCHAR},#{walkDogToolsLocation, jdbcType=VARCHAR},#{walkDogRainyDay, jdbcType=VARCHAR},#{walkDogDuration, jdbcType=VARCHAR},#{dogBehavior, jdbcType=VARCHAR},#{favoriteRegion, jdbcType=VARCHAR},#{favoriteRoute, jdbcType=VARCHAR},#{changeLitterBox, jdbcType=TINYINT},#{peePadFrequencyDays, jdbcType=INTEGER},#{peePadFrequencyTimes, jdbcType=INTEGER},#{isWalkDogDuration, jdbcType=TINYINT},#{isDogBehavior, jdbcType=TINYINT},#{isFavoriteRegion, jdbcType=TINYINT},#{isFavoriteRoute, jdbcType=TINYINT},#{dogRainGearLocation, jdbcType=VARCHAR},#{walkDogRainRemark, jdbcType=VARCHAR},

        </trim>
        on duplicate key update
        <trim suffixOverrides=",">
            <if test="id != null">
                id = #{id,jdbcType=INTEGER},
            </if>
            pet_id = #{petId, jdbcType=INTEGER},
            include_dry_food = #{includeDryFood, jdbcType=TINYINT},
            dry_food_location = #{dryFoodLocation, jdbcType=VARCHAR},
            dry_food_feed_weight = #{dryFoodFeedWeight, jdbcType=VARCHAR},
            dry_food_feed_frequency_days = #{dryFoodFeedFrequencyDays, jdbcType=INTEGER},
            dry_food_feed_frequency_times = #{dryFoodFeedFrequencyTimes, jdbcType=INTEGER},
            dry_food_remarks = #{dryFoodRemarks, jdbcType=VARCHAR},
            include_wet_food = #{includeWetFood, jdbcType=TINYINT},
            wet_food_location = #{wetFoodLocation, jdbcType=VARCHAR},
            wet_food_feed_weight = #{wetFoodFeedWeight, jdbcType=DECIMAL},
            wet_food_feed_frequency_days = #{wetFoodFeedFrequencyDays, jdbcType=INTEGER},
            wet_food_feed_frequency_times = #{wetFoodFeedFrequencyTimes, jdbcType=INTEGER},
            wet_food_remarks = #{wetFoodRemarks, jdbcType=VARCHAR},
            include_homemade_food = #{includeHomemadeFood, jdbcType=TINYINT},
            homemade_food_location = #{homemadeFoodLocation, jdbcType=VARCHAR},
            homemade_food_instructions = #{homemadeFoodInstructions, jdbcType=VARCHAR},
            include_raw_meat = #{includeRawMeat, jdbcType=TINYINT},
            raw_meat_location = #{rawMeatLocation, jdbcType=VARCHAR},
            raw_meat_feeding_instructions = #{rawMeatFeedingInstructions, jdbcType=VARCHAR},
            include_health_supplements = #{includeHealthSupplements, jdbcType=TINYINT},
            health_supplements_location = #{healthSupplementsLocation, jdbcType=VARCHAR},
            health_supplements_feeding_instructions = #{healthSupplementsFeedingInstructions, jdbcType=VARCHAR},
            include_snacks = #{includeSnacks, jdbcType=TINYINT},
            snacks_location = #{snacksLocation, jdbcType=VARCHAR},
            snacks_feeding_method = #{snacksFeedingMethod, jdbcType=VARCHAR},
            other_remark = #{otherRemark, jdbcType=VARCHAR},
            feeding_tray_automatic_feeder_location = #{feedingTrayAutomaticFeederLocation, jdbcType=VARCHAR},
            feeding_tray_automatic_feeder_remarks = #{feedingTrayAutomaticFeederRemarks, jdbcType=VARCHAR},
            water_bowl_location = #{waterBowlLocation, jdbcType=VARCHAR},
            water_bowl_remarks = #{waterBowlRemarks, jdbcType=VARCHAR},
            cleaning_requirements = #{cleaningRequirements, jdbcType=TINYINT},
            litter_box_location = #{litterBoxLocation, jdbcType=VARCHAR},
            litter_box_change_frequency_days = #{litterBoxChangeFrequencyDays, jdbcType=INTEGER},
            litter_box_change_frequency_times = #{litterBoxChangeFrequencyTimes, jdbcType=INTEGER},
            litter_box_remarks = #{litterBoxRemarks, jdbcType=VARCHAR},
            pee_pad_location = #{peePadLocation, jdbcType=VARCHAR},
            change_pee_pad = #{changePeePad, jdbcType=TINYINT},
            pee_pad_remarks = #{peePadRemarks, jdbcType=VARCHAR},
            additional_service = #{additionalService, jdbcType=TINYINT},
            playtime_service = #{playtimeService, jdbcType=TINYINT},
            playtime_tools_location = #{playtimeToolsLocation, jdbcType=VARCHAR},
            playtime_requirements = #{playtimeRequirements, jdbcType=VARCHAR},
            fur_cleaning_service = #{furCleaningService, jdbcType=TINYINT},
            fur_cleaning_tools_location = #{furCleaningToolsLocation, jdbcType=VARCHAR},
            fur_cleaning_requirements = #{furCleaningRequirements, jdbcType=VARCHAR},
            grooming_service = #{groomingService, jdbcType=TINYINT},
            grooming_tools_location = #{groomingToolsLocation, jdbcType=VARCHAR},
            grooming_requirements = #{groomingRequirements, jdbcType=VARCHAR},
            deep_cleaning_service = #{deepCleaningService, jdbcType=TINYINT},
            administer_medication = #{administerMedication, jdbcType=TINYINT},
            deep_cleaning_tools_location = #{deepCleaningToolsLocation, jdbcType=VARCHAR},
            administer_medication_location = #{administerMedicationLocation, jdbcType=VARCHAR},
            administer_medication_remarks = #{administerMedicationRemarks, jdbcType=VARCHAR},
            deep_cleaning_remarks = #{deepCleaningRemarks, jdbcType=VARCHAR},
            additional_services_placement = #{additionalServicesPlacement, jdbcType=VARCHAR},
            additional_services_placement_remark = #{additionalServicesPlacementRemark, jdbcType=VARCHAR},
            additional_services_remarks = #{additionalServicesRemarks, jdbcType=VARCHAR},
            walk_dog = #{walkDog, jdbcType=VARCHAR},
            walk_dog_tools_location = #{walkDogToolsLocation, jdbcType=VARCHAR},
            walk_dog_rainy_day = #{walkDogRainyDay, jdbcType=VARCHAR},
            walk_dog_duration = #{walkDogDuration, jdbcType=VARCHAR},
            dog_behavior = #{dogBehavior, jdbcType=VARCHAR},
            favorite_region = #{favoriteRegion, jdbcType=VARCHAR},
            favorite_route = #{favoriteRoute, jdbcType=VARCHAR},

            change_litter_box = #{changeLitterBox, jdbcType=TINYINT},
            pee_pad_frequency_days = #{peePadFrequencyDays, jdbcType=INTEGER},
            pee_pad_frequency_times = #{peePadFrequencyTimes, jdbcType=INTEGER},
            is_walk_dog_duration = #{isWalkDogDuration, jdbcType=TINYINT},
            is_dog_behavior = #{isDogBehavior, jdbcType=TINYINT},
            is_favorite_region = #{isFavoriteRegion, jdbcType=TINYINT},
            is_favorite_route = #{isFavoriteRoute, jdbcType=TINYINT},
            dog_rain_gear_location = #{dogRainGearLocation, jdbcType=VARCHAR},
            walk_dog_rain_remark = #{walkDogRainRemark, jdbcType=VARCHAR},




        </trim>
    </insert>


</mapper>
